import { Command as $Command } from "@smithy/smithy-client";
import { MetadataBearer as __MetadataBearer } from "@smithy/types";
import {
  GetVectorEnrichmentJobInput,
  GetVectorEnrichmentJobOutput,
} from "../models/models_0";
import {
  SageMakerGeospatialClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../SageMakerGeospatialClient";
export { __MetadataBearer, $Command };
export interface GetVectorEnrichmentJobCommandInput
  extends GetVectorEnrichmentJobInput {}
export interface GetVectorEnrichmentJobCommandOutput
  extends GetVectorEnrichmentJobOutput,
    __MetadataBearer {}
declare const GetVectorEnrichmentJobCommand_base: {
  new (
    input: GetVectorEnrichmentJobCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    GetVectorEnrichmentJobCommandInput,
    GetVectorEnrichmentJobCommandOutput,
    SageMakerGeospatialClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  new (
    __0_0: GetVectorEnrichmentJobCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    GetVectorEnrichmentJobCommandInput,
    GetVectorEnrichmentJobCommandOutput,
    SageMakerGeospatialClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  getEndpointParameterInstructions(): import("@smithy/middleware-endpoint").EndpointParameterInstructions;
};
export declare class GetVectorEnrichmentJobCommand extends GetVectorEnrichmentJobCommand_base {}
